smbios_mouse_t Struct Reference
Public interface » ID macros » SMBIOS structures

pointing device (aka 'mouse') information More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
hd_id_t | mtype
| mouse type
hd_id_t | interface
| interface type
unsigned | buttons
| number of buttons

## Detailed Description

pointing device (aka 'mouse') information

The documentation for this struct was generated from the following file:

- hd.h